=== debian/changelog ===
goldendict-ng (23.07.25-1build1) mantic; urgency=medium

  * Rebuild against new libavcodec60.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 29 Jul 2023 22:21:59 +0200

goldendict-ng (23.07.25-1) unstable; urgency=medium

  * New upstream release 23.07.25-alpha.230725.d3e60184.
  * debian/control: Drop unnecessary build-dep libao-dev, libtiff-dev.
  * debian/patches: Drop merged patch.

 -- Boyuan Yang <byang@debian.org>  Tue, 25 Jul 2023 18:41:02 -0400

goldendict-ng (23.06.02-1) unstable; urgency=medium

  * New upstream release 23.06.02-alpha.230702.d2fbacdd.
  * Switch to CMake buildsystem.
  * debian/copyright: Update according to upstream source changes.
  * debian/rules: Use Qt6 build. (Closes: #1028397)
  * debian/control: Update build-dependency accordingly.
  * debian/patches/0002-Fix-zh_CN-translation.patch: Add interim patch for
    zh_CN translation error.

 -- Boyuan Yang <byang@debian.org>  Tue, 04 Jul 2023 21:47:02 -0400

goldendict-ng (23.02.05-2) unstable; urgency=medium

  * No change source and binary package rename following upstream
    renaming and recommendation.
  * debian/control:
    + Update to latest upstream Homepage field.
    + Update package replacement relationship accordingly.
    + Replace package: libtiff5-dev => libtiff-dev.

 -- Boyuan Yang <byang@debian.org>  Tue, 20 Jun 2023 11:16:52 -0400

goldendict-webengine (23.02.05-1) unstable; urgency=medium

  * New upstream release 23.02.06-LanternFestival.230205.9b8f85ca.
  * debian/rules: Enable use_iconv flag.

 -- Boyuan Yang <byang@debian.org>  Tue, 07 Feb 2023 21:02:13 -0500

goldendict-webengine (22.12.20-1) unstable; urgency=medium

  * New upstream release 22.12.22-WinderSolstice.221220.311d08c6.
  * debian/patches: Add patch to disable new version check by default.

 -- Boyuan Yang <byang@debian.org>  Wed, 21 Dec 2022 16:32:44 -0500

goldendict-webengine (22.11.24-alpha.221205.45d740a5-2) unstable; urgency=medium

  * Source-only upload.

 -- Boyuan Yang <byang@debian.org>  Thu, 15 Dec 2022 15:27:27 -0500

goldendict-webengine (22.11.24-alpha.221205.45d740a5-1) unstable; urgency=medium

  * Initial release. (Closes: #1024862)
  * debian/copyright: Update icons copyright information.

 -- Boyuan Yang <byang@debian.org>  Tue, 06 Dec 2022 16:12:46 -0500
