=== debian/control ===
Source: goldendict-ng
Priority: optional
Section: utils
Maintainer: Boyuan Yang <byang@debian.org>
Standards-Version: 4.6.2
Build-Depends:
 cmake (>= 3.25),
 debhelper-compat (= 13),
 libavformat-dev,
 libavutil-dev,
 libbz2-dev,
 libeb16-dev,
 libfmt-dev,
 libhunspell-dev,
 libjs-jquery,
 liblzma-dev,
 liblzo2-dev,
 libopencc-dev (>= 1.1),
 libtomlplusplus-dev,
 libvorbis-dev,
 libx11-dev,
 libxtst-dev,
 libzim-dev,
 libzstd-dev,
 pkg-config,
 qt6-5compat-dev,
 qt6-base-dev,
 qt6-multimedia-dev,
 qt6-speech-dev,
 qt6-svg-dev,
 qt6-tools-dev,
 qt6-tools-dev-tools,
 qt6-webchannel-dev,
 qt6-webengine-dev,
 x11proto-record-dev,
 zlib1g-dev,
Rules-Requires-Root: no
Homepage: https://github.com/xiaoyifang/goldendict-ng
Vcs-Browser: https://salsa.debian.org/debian/goldendict-ng
Vcs-Git: https://salsa.debian.org/debian/goldendict-ng.git

Package: goldendict-ng
Architecture: any
Depends:
 libjs-jquery,
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 goldendict,
 goldendict-webengine,
Replaces:
 goldendict,
 goldendict-webengine,
Provides:
 goldendict,
 goldendict-webengine,
Description: feature-rich dictionary lookup program (NG/qtwebengine fork)
 GoldenDict is a feature-rich dictionary lookup program, supporting multiple
 dictionary formats (StarDict/Babylon/Lingvo/Dictd/AARD/MDict/SDict)
 and online dictionaries, featuring perfect article rendering with the
 complete markup, illustrations and other content retained,
 and allowing you to type in words without any accents or correct case.
 .
 This is a forked version that uses QtWebEngine as rendering engine instead
 of QtWebKit.
