=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export QT_SELECT := 6

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- \
	        -DWITH_XAPIAN=ON \
	        -DWITH_ZIM=ON \
	        -DWITH_FFMPEG_PLAYER=ON \
	        -DWITH_EPWING_SUPPORT=ON \
	        -DUSE_SYSTEM_FMT=ON \
	        -DUSE_SYSTEM_TOML=ON \
	        $(NULL)

execute_before_dh_auto_configure:
	ln -sf /usr/share/javascript/jquery/jquery.min.js src/scripts/jquery-3.6.0.slim.min.js
	cp debian/missing-sources/iframe-resizer/iframeResizer.contentWindow.js src/scripts/iframeResizer.contentWindow.min.js
	cp debian/missing-sources/iframe-resizer/iframeResizer.js src/scripts/iframeResizer.min.js
