=== debian/changelog ===
goldendict-ng (23.12.26-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:52:59 +1100

goldendict-ng (23.12.26-1build1) noble; urgency=medium

  * No-change rebuild against libqt6core6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 01:52:08 +0000

goldendict-ng (23.12.26-1) unstable; urgency=medium

  * New upstream release 23.12.08-alpha.231226.619e7e00.
  * debian/copyright: Add information about mark.js.

 -- Boyuan Yang <byang@debian.org>  Wed, 27 Dec 2023 14:49:44 -0500

goldendict-ng (23.10.01-2) unstable; urgency=medium

  * debian/clean: Clean symlink created during packaging to prevent
    double-build FTBFS. (Closes: #1044294)

 -- Boyuan Yang <byang@debian.org>  Tue, 17 Oct 2023 23:55:53 -0400

goldendict-ng (23.10.01-1) unstable; urgency=medium

  * New upstream release 23.10.01-alpha.e69aabf2.
  * debian/copyright: Update information.
  * debian/missing-sources/: Add new embedded javascripts.

 -- Boyuan Yang <byang@debian.org>  Tue, 17 Oct 2023 14:43:44 -0400
