=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: goldendict-ng
 Priority: optional
 Section: utils
-Maintainer: Boyuan Yang <byang@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Boyuan Yang <byang@debian.org>
 Standards-Version: 4.6.2
 Build-Depends:
  cmake (>= 3.25),
