=== debian/rules ===
--- 
+++ 
@@ -21,6 +21,10 @@
 	        $(NULL)
 
 execute_before_dh_auto_configure:
+	# Use unminified javascript sources
 	ln -sf /usr/share/javascript/jquery/jquery.min.js src/scripts/jquery-3.6.0.slim.min.js
 	cp debian/missing-sources/iframe-resizer/iframeResizer.contentWindow.js src/scripts/iframeResizer.contentWindow.min.js
 	cp debian/missing-sources/iframe-resizer/iframeResizer.js src/scripts/iframeResizer.min.js
+	cp debian/missing-sources/popper.js src/scripts/popper.min.js
+	cp debian/missing-sources/tippy-bundle.umd.js src/scripts/tippy.min.js
+
