## goldendict-ng 24.05.13

=== debian/changelog ===
goldendict-ng (24.05.13-5) unstable; urgency=medium

  * Rebuild against opencc 1.1.8.

 -- Boyuan Yang <byang@debian.org>  Mon, 05 Aug 2024 12:10:00 -0400

goldendict-ng (24.05.13-4) unstable; urgency=medium

  * Really fix #1073980.

 -- Boyuan Yang <byang@debian.org>  Fri, 21 Jun 2024 15:34:53 -0400

goldendict-ng (24.05.13-3) unstable; urgency=medium

  * Fix previous upload.
  * debian/source/lintian-overrides: Remove mismatch override.

 -- Boyuan Yang <byang@debian.org>  Fri, 21 Jun 2024 15:24:58 -0400

goldendict-ng (24.05.13-2) unstable; urgency=medium

  * debian/control: Add missing libqt6svg6 as runtime dependency.
    (Closes: #1073980)

 -- Boyuan Yang <byang@debian.org>  Fri, 21 Jun 2024 15:15:46 -0400

goldendict-ng (24.05.13-1) unstable; urgency=medium

  * New upstream tag 24.05.13-alpha.2e88e3b2.
  * debian/patches/backport/e2e1ca...patch: Apply upstream patch to
    fix compilation against ffmpeg 7.0. (Closes: #1072416)

 -- Boyuan Yang <byang@debian.org>  Mon, 10 Jun 2024 14:32:37 -0400

goldendict-ng (24.05.05-1) unstable; urgency=medium

  * New upstream tag 24.05.05-LiXia.ecd1138c.
  * debian/rules: Drop flags no longer used by upstream.
  * debian/patches: Drop patches merged upstream.

 -- Boyuan Yang <byang@debian.org>  Mon, 06 May 2024 23:27:41 -0400

goldendict-ng (24.02.16-2) unstable; urgency=medium

  * d/p/e62dded0f62c143406df775b604e86cb933d92ee.patch:
    Fix reproducible-builds issue, patch from upstream. (Closes: #1068176)
  * d/rules: Clean src/scripts/jquery-3.6.0.slim.min.js in dh_clean.
    (Closes: #1044294)

 -- Boyuan Yang <byang@debian.org>  Fri, 26 Apr 2024 14:58:09 -0400

goldendict-ng (24.02.16-1) unstable; urgency=medium

  * New upstream tag v24.02.16-alpha.fbe5335e.
  * debian/copyright: Remove info about files no longer used upstream.
  * debian/missing-sources: Ditto.
  * debian/control: Update build-dependencies: pkg-config => pkgconf.

 -- Boyuan Yang <byang@debian.org>  Thu, 11 Apr 2024 23:03:20 -0400
