=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: goldendict-ng
 Priority: optional
 Section: utils
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Boyuan Yang <byang@debian.org>
+Maintainer: Boyuan Yang <byang@debian.org>
 Standards-Version: 4.6.2
 Build-Depends:
  cmake (>= 3.25),
@@ -16,14 +15,14 @@
  libjs-jquery,
  liblzma-dev,
  liblzo2-dev,
- libopencc-dev (>= 1.1),
+ libopencc-dev (>= 1.1.8~),
  libtomlplusplus-dev,
  libvorbis-dev,
  libx11-dev,
  libxtst-dev,
  libzim-dev,
  libzstd-dev,
- pkg-config,
+ pkgconf,
  qt6-5compat-dev,
  qt6-base-dev,
  qt6-multimedia-dev,
@@ -44,6 +43,7 @@
 Architecture: any
 Depends:
  libjs-jquery,
+ libqt6svg6,
  ${misc:Depends},
  ${shlibs:Depends},
 Breaks:
