=== debian/rules ===
--- 
+++ 
@@ -10,9 +10,11 @@
 %:
 	dh $@ --buildsystem=cmake
 
+execute_after_dh_clean:
+	rm -fv src/scripts/jquery-3.6.0.slim.min.js
+
 override_dh_auto_configure:
 	dh_auto_configure -- \
-	        -DWITH_XAPIAN=ON \
 	        -DWITH_ZIM=ON \
 	        -DWITH_FFMPEG_PLAYER=ON \
 	        -DWITH_EPWING_SUPPORT=ON \
@@ -25,6 +27,4 @@
 	ln -sf /usr/share/javascript/jquery/jquery.min.js src/scripts/jquery-3.6.0.slim.min.js
 	cp debian/missing-sources/iframe-resizer/iframeResizer.contentWindow.js src/scripts/iframeResizer.contentWindow.min.js
 	cp debian/missing-sources/iframe-resizer/iframeResizer.js src/scripts/iframeResizer.min.js
-	cp debian/missing-sources/popper.js src/scripts/popper.min.js
-	cp debian/missing-sources/tippy-bundle.umd.js src/scripts/tippy.min.js
