=== debian/changelog ===
goldendict-ng (25.02.0-2) unstable; urgency=medium

  * QA upload.
  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Sat, 25 Jan 2025 09:51:25 -0500

goldendict-ng (25.02.0-2~exp1) experimental; urgency=medium

  * QA upload.
  * debian/control: Add new transitional binary package goldendict
    to transit from old qtwebkit-based goldendict to the goldendict-ng
    implementation. (See #1093551)
  * debian/rules: Hack dh_gencontrol to keep a lower version string
    for the goldendict binary package.
  * debian/goldendict-ng.install: Added.

 -- Boyuan Yang <byang@debian.org>  Fri, 24 Jan 2025 22:17:38 -0500

goldendict-ng (25.02.0-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * debian/patches/0001-Disable-checkUpdate-by-default.patch: Refreshed.
  * debian/copyright: Updated.

 -- Boyuan Yang <byang@debian.org>  Fri, 24 Jan 2025 21:53:41 -0500

goldendict-ng (24.09.1-2) unstable; urgency=medium

  * QA upload.
  * Orphan the package. (See #1093568)

 -- Boyuan Yang <byang@debian.org>  Sun, 19 Jan 2025 18:39:27 -0500

goldendict-ng (24.09.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rebuild against libzim9
  * Depends on qt6-svg-plugins insteaf of only libqt6svg6 (Closes: #1090756)

 -- Alexandre Detiste <tchet@debian.org>  Sat, 11 Jan 2025 22:36:38 +0100

goldendict-ng (24.09.1-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Fri, 08 Nov 2024 17:28:22 -0500

goldendict-ng (24.09.0-2) unstable; urgency=high

  * debian/copyright: Fix typo.
  * Rebuild against Qt 6.7.2 to fix crashing. (Closes: #1084759)

 -- Boyuan Yang <byang@debian.org>  Tue, 08 Oct 2024 12:39:44 -0400

goldendict-ng (24.09.0-1) unstable; urgency=medium

  * New upstream tag v24.09.0-Release.316ec900.
  * debian/copyright: Update information.
  * debian/patches/backport/*: Drop backported patches.

 -- Boyuan Yang <byang@debian.org>  Fri, 27 Sep 2024 16:48:51 -0400

goldendict-ng (24.05.13-6) unstable; urgency=medium

  * Rebuild against opencc 1.1.9.

 -- Boyuan Yang <byang@debian.org>  Thu, 15 Aug 2024 16:48:34 -0400
