=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: goldendict-ng
 Priority: optional
 Section: utils
-Maintainer: Boyuan Yang <byang@debian.org>
-Standards-Version: 4.6.2
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Standards-Version: 4.7.0
 Build-Depends:
  cmake (>= 3.25),
  debhelper-compat (= 13),
@@ -15,12 +15,12 @@
  libjs-jquery,
  liblzma-dev,
  liblzo2-dev,
- libopencc-dev (>= 1.1.8~),
+ libopencc-dev (>= 1.1.9~),
  libtomlplusplus-dev,
  libvorbis-dev,
  libx11-dev,
  libxtst-dev,
- libzim-dev,
+ libzim-dev (>= 9.1.0),
  libzstd-dev,
  pkgconf,
  qt6-5compat-dev,
@@ -43,14 +43,14 @@
 Architecture: any
 Depends:
  libjs-jquery,
- libqt6svg6,
+ qt6-svg-plugins,
  ${misc:Depends},
  ${shlibs:Depends},
 Breaks:
- goldendict,
+ goldendict (<< 1.5.0+git20241211+rm~),
  goldendict-webengine,
 Replaces:
- goldendict,
+ goldendict (<< 1.5.0+git20241211+rm~),
  goldendict-webengine,
 Provides:
  goldendict,
@@ -64,3 +64,12 @@
  .
  This is a forked version that uses QtWebEngine as rendering engine instead
  of QtWebKit.
+
+Package: goldendict
+Architecture: all
+Section: oldlibs
+Depends:
+ goldendict-ng,
+ ${misc:Depends},
+Description: transitional package
+ This is a transitional package. It can safely be removed.
