=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,13 @@
 # see FEATURE AREAS in dpkg-buildflags(1)
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export QT_SELECT := 6
+
+include /usr/share/dpkg/default.mk
+
+# For transition from goldendict to goldendict-ng
+# see https://bugs.debian.org/1093551
+VERSION_GOLDENDICT = 1.5.0+git20241211+rm
+_DEB_VERSION_REVISION = $(shell echo $(DEB_VERSION) | sed -e 's/^.*-//g')
 
 %:
 	dh $@ --buildsystem=cmake
@@ -28,3 +35,6 @@
 	cp debian/missing-sources/iframe-resizer/iframeResizer.contentWindow.js src/scripts/iframeResizer.contentWindow.min.js
 	cp debian/missing-sources/iframe-resizer/iframeResizer.js src/scripts/iframeResizer.min.js
 
+override_dh_gencontrol:
+	dh_gencontrol -pgoldendict -- -v$(VERSION_GOLDENDICT)-$(_DEB_VERSION_REVISION)
+	dh_gencontrol --remaining-packages
