=== debian/changelog ===
goldendict-ng (25.06.0-2) unstable; urgency=medium

  * QA upload.
  * debian/rules: Bump hardcoded version string for goldendict package.
    (Closes: #1102515)
  * debian/control: Bump Standards-Version to 4.7.2.

 -- Boyuan Yang <byang@debian.org>  Wed, 09 Apr 2025 17:59:48 -0400

goldendict-ng (25.06.0-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 09 Apr 2025 09:40:34 -0400
