=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: optional
 Section: utils
 Maintainer: Debian QA Group <packages@qa.debian.org>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Build-Depends:
  cmake (>= 3.25),
  debhelper-compat (= 13),
