=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 # For transition from goldendict to goldendict-ng
 # see https://bugs.debian.org/1093551
-VERSION_GOLDENDICT = 1.5.0+git20241211+rm
+VERSION_GOLDENDICT = 1.5.0+git20250409+rm
 _DEB_VERSION_REVISION = $(shell echo $(DEB_VERSION) | sed -e 's/^.*-//g')
 
 %:
