=== debian/changelog ===
goldendict-ng (25.10.1-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * debian/control: Move package description to the source package section.
  * debian/watch: Update to version 5.
  * debian/copyright: Refresh information.
  * debian/upstream/metadata: Updated.

 -- Boyuan Yang <byang@debian.org>  Fri, 03 Oct 2025 12:23:40 -0400
