## goldendict-ng 25.10.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -40,7 +40,7 @@
 include(FeatureSummary)
 
 project(goldendict-ng
-        VERSION 25.10.1
+        VERSION 25.10.2
         LANGUAGES CXX C)
 
 if (APPLE)
