=== debian/changelog ===
goldendict-ng (25.10.2-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sat, 11 Oct 2025 17:49:10 -0400
