=== debian/control ===
--- 
+++ 
@@ -38,6 +38,15 @@
 Homepage: https://github.com/xiaoyifang/goldendict-ng
 Vcs-Browser: https://salsa.debian.org/debian/goldendict-ng
 Vcs-Git: https://salsa.debian.org/debian/goldendict-ng.git
+Description: feature-rich dictionary lookup program (NG/qtwebengine fork)
+ GoldenDict is a feature-rich dictionary lookup program, supporting multiple
+ dictionary formats (StarDict/Babylon/Lingvo/Dictd/AARD/MDict/SDict)
+ and online dictionaries, featuring perfect article rendering with the
+ complete markup, illustrations and other content retained,
+ and allowing you to type in words without any accents or correct case.
+ .
+ This is a forked version that uses QtWebEngine as rendering engine instead
+ of QtWebKit.
 
 Package: goldendict-ng
 Architecture: any
@@ -55,15 +64,8 @@
 Provides:
  goldendict,
  goldendict-webengine,
-Description: feature-rich dictionary lookup program (NG/qtwebengine fork)
- GoldenDict is a feature-rich dictionary lookup program, supporting multiple
- dictionary formats (StarDict/Babylon/Lingvo/Dictd/AARD/MDict/SDict)
- and online dictionaries, featuring perfect article rendering with the
- complete markup, illustrations and other content retained,
- and allowing you to type in words without any accents or correct case.
- .
- This is a forked version that uses QtWebEngine as rendering engine instead
- of QtWebKit.
+Description: ${source:Synopsis}
+ ${source:Extended-Description}
 
 Package: goldendict
 Architecture: all
