=== debian/rules ===
--- 
+++ 
@@ -8,10 +8,16 @@
 export QT_SELECT := 6
 
 include /usr/share/dpkg/default.mk
+# for SOURCE_DATE_EPOCH
+include /usr/share/dpkg/pkg-info.mk
 
 # For transition from goldendict to goldendict-ng
 # see https://bugs.debian.org/1093551
-VERSION_GOLDENDICT = 1.5.0+git20250409+rm
+#
+# To ensure ascending version string, use the date from
+# SOURCE_DATE_EPOCH. See https://bugs.debian.org/1096751
+_VERSION_DATE := $(shell date -u -d "@$(SOURCE_DATE_EPOCH)" +%Y%m%d)
+VERSION_GOLDENDICT = 1.5.0+git$(_VERSION_DATE)+rm
 _DEB_VERSION_REVISION = $(shell echo $(DEB_VERSION) | sed -e 's/^.*-//g')
 
 %:
