=== debian/watch ===
Version: 5

Source: https://github.com/xiaoyifang/goldendict-ng/tags
Matching-Pattern: (?:.*?/)?v?(\d+\.\d+\.\d+)-Release\.\w+@ARCHIVE_EXT@
Filenamemangle: s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%
Repack: yes
Uversionmangle: s/-Release\.\w+$//
